> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Cancel a playbook run

POST https://api.cloudraker.com/spaces/{spaceId}/playbook-runs/{runId}/cancel
Content-Type: application/json

Cancels the run (terminal). Authorization: `space:contribute` (org admins bypass); missing → 403. Body: optional `reason` (1–4000 chars) recorded on the run. Returns 200 `{ data }` with the run's final status, task progress, result and error.

Reference: https://docs.cloudraker.com/workspace/api/playbooks/cancel-playbook-run

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `spaceId` (string, required)
- `runId` (string, required)

### Body (application/json)

- `reason` (string, optional)

## Response

### 200

The final run state.

- `data` (object, required)
  - `status` (enum, required)
    - Allowed values: `running`, `waiting_approval`, `waiting_action`, `waiting_user`, `paused`, `completed`, `failed`, `cancelled`
  - `taskProgress` (object, required)
    - `total` (integer, required)
    - `completed` (integer, required)
  - `pendingApproval` (object, required, nullable)
    - `id` (string, required)
    - `kind` (enum, required)
      - Allowed values: `pre`, `post`
    - `actionName` (string, required)
    - `requestedAt` (datetime, required)
  - `pendingApprovals` (list of object, required)
    - `id` (string, required)
    - `kind` (enum, required)
      - Allowed values: `pre`, `post`
    - `actionName` (string, required)
    - `requestedAt` (datetime, required)
  - `pendingCount` (integer, required)
  - `pendingHumanTasks` (list of object, required)
    - `taskId` (string, required)
    - `title` (string, required)
    - `assignee` (string, required, nullable)
  - `currentActivity` (string, required, nullable)
  - `result` (string, required, nullable)
  - `error` (string, required, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "status": "running",
    "taskProgress": {
      "total": 1,
      "completed": 1
    },
    "pendingApproval": {
      "id": "string",
      "kind": "pre",
      "actionName": "string",
      "requestedAt": "2024-01-15T09:30:00Z"
    },
    "pendingApprovals": [
      {
        "id": "string",
        "kind": "pre",
        "actionName": "string",
        "requestedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "pendingCount": 1,
    "pendingHumanTasks": [
      {
        "taskId": "string",
        "title": "string",
        "assignee": "string"
      }
    ],
    "currentActivity": "string",
    "result": "string",
    "error": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/spaces/spaceId/playbook-runs/runId/cancel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```